<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: console/include/console.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('console_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">console.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &quot;<a class="el" href="debug_8h_source.html">../../include/debug.h</a>&quot;</code><br />
</div>
<p><a href="console_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a77366c1bd428629dc898e188bfd182a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a>&#160;&#160;&#160;extern</td></tr>
<tr class="separator:a77366c1bd428629dc898e188bfd182a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13d15bc912876fa5f7e468a821ca6b85"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a13d15bc912876fa5f7e468a821ca6b85">AC_RED</a>&#160;&#160;&#160;&quot;\x1b[31m&quot;</td></tr>
<tr class="separator:a13d15bc912876fa5f7e468a821ca6b85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6216b392629e258aabd4150eaa8ba64"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#ae6216b392629e258aabd4150eaa8ba64">AC_GREEN</a>&#160;&#160;&#160;&quot;\x1b[32m&quot;</td></tr>
<tr class="separator:ae6216b392629e258aabd4150eaa8ba64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a067699b5a0dd2dd18f0c03d59eb55a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a8a067699b5a0dd2dd18f0c03d59eb55a">AC_YELLOW</a>&#160;&#160;&#160;&quot;\x1b[33m&quot;</td></tr>
<tr class="separator:a8a067699b5a0dd2dd18f0c03d59eb55a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a774e18355fd82cd9111d6e02b9766ea8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a774e18355fd82cd9111d6e02b9766ea8">AC_BLUE</a>&#160;&#160;&#160;&quot;\x1b[34m&quot;</td></tr>
<tr class="separator:a774e18355fd82cd9111d6e02b9766ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e519edd7ea5067b75ac68ce39336f0a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a2e519edd7ea5067b75ac68ce39336f0a">AC_MAGENTA</a>&#160;&#160;&#160;&quot;\x1b[35m&quot;</td></tr>
<tr class="separator:a2e519edd7ea5067b75ac68ce39336f0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a512224b8a85db03240e104de5b5b0547"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a512224b8a85db03240e104de5b5b0547">AC_CYAN</a>&#160;&#160;&#160;&quot;\x1b[36m&quot;</td></tr>
<tr class="separator:a512224b8a85db03240e104de5b5b0547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09e3d8850ec86b7be59e9679e5dd90c2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a09e3d8850ec86b7be59e9679e5dd90c2">AC_RESET</a>&#160;&#160;&#160;&quot;\x1b[0m&quot;</td></tr>
<tr class="separator:a09e3d8850ec86b7be59e9679e5dd90c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a69eac9344a97459b5cd78fae29139a92"><td class="memItemLeft" align="right" valign="top"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a69eac9344a97459b5cd78fae29139a92">printError</a> (char *message)</td></tr>
<tr class="memdesc:a69eac9344a97459b5cd78fae29139a92"><td class="mdescLeft">&#160;</td><td class="mdescRight">@ a string printError with a param message RED color  <a href="console_8h.html#a69eac9344a97459b5cd78fae29139a92">More...</a><br /></td></tr>
<tr class="separator:a69eac9344a97459b5cd78fae29139a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade36de660218fceb8ea273f49f56d5e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#ade36de660218fceb8ea273f49f56d5e3">printSuccess</a> (char *message)</td></tr>
<tr class="memdesc:ade36de660218fceb8ea273f49f56d5e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Success with a GREEN color  <a href="console_8h.html#ade36de660218fceb8ea273f49f56d5e3">More...</a><br /></td></tr>
<tr class="separator:ade36de660218fceb8ea273f49f56d5e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68fa145f2ecb343ca428fd5897c8ce36"><td class="memItemLeft" align="right" valign="top"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a68fa145f2ecb343ca428fd5897c8ce36">printWarning</a> (char *message)</td></tr>
<tr class="memdesc:a68fa145f2ecb343ca428fd5897c8ce36"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Warning with a YELLOW color  <a href="console_8h.html#a68fa145f2ecb343ca428fd5897c8ce36">More...</a><br /></td></tr>
<tr class="separator:a68fa145f2ecb343ca428fd5897c8ce36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85964c07ad881d21d4f4a9e732d16408"><td class="memItemLeft" align="right" valign="top"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a85964c07ad881d21d4f4a9e732d16408">printPrimary</a> (char *message)</td></tr>
<tr class="memdesc:a85964c07ad881d21d4f4a9e732d16408"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Primary with a CYAN color  <a href="console_8h.html#a85964c07ad881d21d4f4a9e732d16408">More...</a><br /></td></tr>
<tr class="separator:a85964c07ad881d21d4f4a9e732d16408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b4b74a88dc472e1238fdc1f283530f1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a7b4b74a88dc472e1238fdc1f283530f1">printStrong</a> (char *message)</td></tr>
<tr class="memdesc:a7b4b74a88dc472e1238fdc1f283530f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Strong with a BLUE color  <a href="console_8h.html#a7b4b74a88dc472e1238fdc1f283530f1">More...</a><br /></td></tr>
<tr class="separator:a7b4b74a88dc472e1238fdc1f283530f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75888833bd0ad75c999ccb617029619c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="console_8h.html#a75888833bd0ad75c999ccb617029619c">printInfo</a> (char *message)</td></tr>
<tr class="memdesc:a75888833bd0ad75c999ccb617029619c"><td class="mdescLeft">&#160;</td><td class="mdescRight">print a string Info with a MAGENTA color  <a href="console_8h.html#a75888833bd0ad75c999ccb617029619c">More...</a><br /></td></tr>
<tr class="separator:a75888833bd0ad75c999ccb617029619c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a774e18355fd82cd9111d6e02b9766ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a774e18355fd82cd9111d6e02b9766ea8">&#9670;&nbsp;</a></span>AC_BLUE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AC_BLUE&#160;&#160;&#160;&quot;\x1b[34m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a512224b8a85db03240e104de5b5b0547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a512224b8a85db03240e104de5b5b0547">&#9670;&nbsp;</a></span>AC_CYAN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AC_CYAN&#160;&#160;&#160;&quot;\x1b[36m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6216b392629e258aabd4150eaa8ba64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6216b392629e258aabd4150eaa8ba64">&#9670;&nbsp;</a></span>AC_GREEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AC_GREEN&#160;&#160;&#160;&quot;\x1b[32m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2e519edd7ea5067b75ac68ce39336f0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e519edd7ea5067b75ac68ce39336f0a">&#9670;&nbsp;</a></span>AC_MAGENTA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AC_MAGENTA&#160;&#160;&#160;&quot;\x1b[35m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a13d15bc912876fa5f7e468a821ca6b85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13d15bc912876fa5f7e468a821ca6b85">&#9670;&nbsp;</a></span>AC_RED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AC_RED&#160;&#160;&#160;&quot;\x1b[31m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a09e3d8850ec86b7be59e9679e5dd90c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09e3d8850ec86b7be59e9679e5dd90c2">&#9670;&nbsp;</a></span>AC_RESET</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AC_RESET&#160;&#160;&#160;&quot;\x1b[0m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a067699b5a0dd2dd18f0c03d59eb55a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a067699b5a0dd2dd18f0c03d59eb55a">&#9670;&nbsp;</a></span>AC_YELLOW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AC_YELLOW&#160;&#160;&#160;&quot;\x1b[33m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a77366c1bd428629dc898e188bfd182a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77366c1bd428629dc898e188bfd182a3">&#9670;&nbsp;</a></span>EXTERN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EXTERN&#160;&#160;&#160;extern</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a17">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>, <a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2shape_2include_2shape_8h-example.html#a5">/home/daniele/CLionProjects/distroInfos/entities/shape/include/shape.h</a>, and <a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a19">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a69eac9344a97459b5cd78fae29139a92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69eac9344a97459b5cd78fae29139a92">&#9670;&nbsp;</a></span>printError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void printError </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>@ a string printError with a param message RED color </p>
<p>print @params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="a75888833bd0ad75c999ccb617029619c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75888833bd0ad75c999ccb617029619c">&#9670;&nbsp;</a></span>printInfo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void printInfo </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Info with a MAGENTA color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="a85964c07ad881d21d4f4a9e732d16408"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85964c07ad881d21d4f4a9e732d16408">&#9670;&nbsp;</a></span>printPrimary()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void printPrimary </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Primary with a CYAN color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="a7b4b74a88dc472e1238fdc1f283530f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b4b74a88dc472e1238fdc1f283530f1">&#9670;&nbsp;</a></span>printStrong()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void printStrong </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Strong with a BLUE color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="ade36de660218fceb8ea273f49f56d5e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade36de660218fceb8ea273f49f56d5e3">&#9670;&nbsp;</a></span>printSuccess()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void printSuccess </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Success with a GREEN color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<a id="a68fa145f2ecb343ca428fd5897c8ce36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68fa145f2ecb343ca428fd5897c8ce36">&#9670;&nbsp;</a></span>printWarning()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void printWarning </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>print a string Warning with a YELLOW color </p>
<p>@params char *message </p><dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9f97b40203d0b7782e2ba57c500dd0f3.html">console</a></li><li class="navelem"><a class="el" href="dir_5e4325ba8b80434cf9bbe8df5394c743.html">include</a></li><li class="navelem"><a class="el" href="console_8h.html">console.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
